## org.apache.lucene.queryParser.surround.query
Class ComposedQuery

    java.lang.Object
      org.apache.lucene.queryParser.surround.query.SrndQuery
          org.apache.lucene.queryParser.surround.query.ComposedQuery

All Implemented Interfaces:
  Cloneable

Direct Known Subclasses:
  AndQuery, DistanceQuery, NotQuery, OrQuery

    public abstract class ComposedQuery

extends SrndQuery

Field Summary

Fields inherited from class org.apache.lucene.queryParser.surround.query.SrndQuery
`theEmptyLcnQuery`

Constructor Summary
`ComposedQuery(List qs, boolean operatorInfix, String opName)`

Method Summary
`protected String` `getBracketClose()`
`protected String` `getBracketOpen()`
`int` `getNrSubQueries()`
`String` `getOperatorName()`
`protected String` `getPrefixSeparator()`
`Iterator` `getSubQueriesIterator()`
`SrndQuery` `getSubQuery(int qn)`
`protected void` `infixToString(StringBuffer r)`
`boolean` `isFieldsSubQueryAcceptable()`
`boolean` `isOperatorInfix()`
`List` `makeLuceneSubQueriesField(String fn, BasicQueryFactory qf)`
`protected void` `prefixToString(StringBuffer r)`
`protected void` `recompose(List queries)`
`String` `toString()`

Methods inherited from class org.apache.lucene.queryParser.surround.query.SrndQuery
`clone, getWeight, getWeightOperator, getWeightString, isWeighted, makeLuceneQueryField, makeLuceneQueryFieldNoBoost, setWeight, weightToString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComposedQuery

    public ComposedQuery(List qs,
                         boolean operatorInfix,
                         String opName)

Method Detail

### recompose

    protected void recompose(List queries)

### getOperatorName

    public String getOperatorName()

### getSubQueriesIterator

    public Iterator getSubQueriesIterator()

### getNrSubQueries

    public int getNrSubQueries()

### getSubQuery

    public SrndQuery getSubQuery(int qn)

### isOperatorInfix

    public boolean isOperatorInfix()

### makeLuceneSubQueriesField

    public List makeLuceneSubQueriesField(String fn,
                                          BasicQueryFactory qf)

### toString

    public String toString()

  Specified by:
    `toString` in class `SrndQuery`

### getPrefixSeparator

    protected String getPrefixSeparator()

### getBracketOpen

    protected String getBracketOpen()

### getBracketClose

    protected String getBracketClose()

### infixToString

    protected void infixToString(StringBuffer r)

### prefixToString

    protected void prefixToString(StringBuffer r)

### isFieldsSubQueryAcceptable

    public boolean isFieldsSubQueryAcceptable()

  Overrides:
    `isFieldsSubQueryAcceptable` in class `SrndQuery`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.